
From: Ingo Molnar <mingo@elte.hu>

comment fix.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/sched.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-dont-kick-alb-in-the-presence-of-pinned-task-fix kernel/sched.c
--- 25/kernel/sched.c~sched-dont-kick-alb-in-the-presence-of-pinned-task-fix	Wed Aug 17 12:57:21 2005
+++ 25-akpm/kernel/sched.c	Wed Aug 17 12:57:21 2005
@@ -2447,7 +2447,9 @@ static void rebalance_tick(int this_cpu,
 
 		if (j - sd->last_balance >= interval) {
 			if (load_balance(this_cpu, this_rq, sd, idle)) {
-				/* We've pulled tasks over so no longer idle */
+				/* We've pulled tasks over so no longer idle
+				 * or one of our SMT sibling is not idle.
+				 */
 				idle = NOT_IDLE;
 			}
 			sd->last_balance += interval;
_
